%define pydict_version 0.2.5.1
%define pydict_release 6mdk

Summary:	pyDict - A English/Chinese Dictionary written with python/gtk
Summary(zh_TW):	pyDict - 以 python/gtk 寫成的英漢/漢英辭典
Name:		pyDict
Version:	%{pydict_version}
Release:	%{pydict_release}

Source0:	http://sourceforge/projects/pydict/pyDict-%{pydict_version}.tar.bz2
Source1:	pyDict.desktop
Source3:	%{name}
Patch2:		pyDict-C2E.patch.bz2

Icon:		dict.xpm
Requires:	locales-zh pygtk
Url:		http://sourceforge/projects/pydict/
License:	GPL
Group:		Text tools
Buildroot:	%_tmppath/%name-%version-%release-root

%description
This is a English/Chinese Dictionary wirtten by Daniel Gau with python/gtk.
The word base was originally got from xdict, and was converted and modified by
Daniel Gau and bv1al.This program can be run in both console mode and X 
Window GUI mode.

%description -l zh_TW
pyDict 是 Deniel Gau 以 python/gtk 語言寫成的英漢/漢英辭典。
pyDict 所用的字庫是來自於 xdict 套件，並經由 Deniel Gau 做轉換，
以及 bv1al 修正部分用詞。pyDict 可以在文字模式下以及在 X Window 
圖形模式下執行。

%prep
%setup -q
%patch2 -p1

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/pyDict/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 yaba.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/pyDict/
mv dict.py pydict
install  -m 755  pydict $RPM_BUILD_ROOT/usr/X11R6/bin/pydict.real
cat << EOF > pydict.sh
#!/bin/bash
# pydict only works in big5 encoding
export LC_ALL=zh_TW.Big5
exec pydict.real
EOF
install  -m 755  pydict.sh $RPM_BUILD_ROOT/usr/X11R6/bin/pydict
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Chinese
for i in a b c d e f g h i j k l m n o p q r s t u v w x y z
	do install -m 644 $i.lib $RPM_BUILD_ROOT/usr/X11R6/lib/X11/pyDict/
done
install -m 644 HELP $RPM_BUILD_ROOT/usr/X11R6/lib/X11/pyDict/

# menu
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/menu/

install -m 644 %{SOURCE1} \
		$RPM_BUILD_ROOT/usr/share/gnome/apps/Chinese/pyDict.desktop
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Chinese/

# icons
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
install -m 644 $RPM_SOURCE_DIR/dict.xpm $RPM_BUILD_ROOT/usr/share/icons


%post
%update_menus

%postun
%clean_menus

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/pyDict
%doc CHANGELOG COPYING README install.sh
/usr/X11R6/bin/pydict
/usr/X11R6/bin/pydict.real
/usr/X11R6/lib/X11/pyDict/*
/usr/lib/menu/%{name}
/usr/share/gnome/apps/Chinese/pyDict.desktop
/usr/share/icons/dict.xpm

%changelog
* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.5.1-6mdk
- rebuilt to link with new libraries
- added a wrapper to force big5 encoding
- included the help page in the package

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 0.2.5.1-5mdk
- %%post %%update_menus and %%postun %%clean_menus

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 0.2.5.1-4mdk
- Fix meny entry

* Tue Jan 22 2002 David BAUDENS <baudens@mandrakesoft.com> 0.2.5.1-3mdk
- Use chinese_section.png icon for menu entry
- Don't install .kdelnk files

* Fri Sep 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.5.1-2mdk
- Requires: locales-zh.

* Thu Jan 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.5.1-1mdk
- shamelessly rip from CLE.

* Sat Nov 20 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for LM 7.2

* Wed Sep 20 2000 ID5 <id5id5@tcts1.seed.net.tw>
- fix the Chinese to Engliht bug.
- fix the pyDict.kdelnk,kde.desktop.

* Mon Sep 18 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.1

* Wed May  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- menu entry

* Tue Mar  7 2000 Yuan-Chung Cheng <platin@linux.org.tw>
- /usr/share/applnk/Chinese/pyDict.kdelnk

* Thu Feb 24 2000 Shang-Feng Yang <storm@chempro.che.ntu.edu.tw>
- Add 'dict-0.2.2.py-check_DISPLAY.patch' made by 
  Cheng Yuan-Chung & Shang-Feng Yang to give dict-0.2.2.py
  the ability for detecting X

* Sun Jan 30 2000 Shang-Feng Yang <storm@chempro.che.ntu.edu.tw>
- Modify README and CHANGELOG of the source pyDict-0.2.2.tar.gz
- Modify the version number in the dict-0.2.2.py from 0.2.1 to 0.2.2

* Sun Jan 23 2000 Shang-Feng Yang <storm@chempro.che.ntu.edu.tw>
- Fix a missing definition of 'g_command' in dict-0.2.2.py
- Modify install.sh to fit for version 0.2.2

* Sun Jan 23 2000 Daniel Gau <plateau@wahoo.com.tw>
- Release version 0.2.2
- Add -h option for help
- Add -e option for console English-to-Chinese mode
- Add -c option for console Chinese-to-English mode

* Fri Jan 21 2000 Shang-Feng Yang <storm@chempro.che.ntu.edu.tw>
- Modify some improper terms of the word base pydict.lib
- Add Summary and %description tags of zh_TW.Big5 locale

* Mon Jan 17 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- Add menu for Gnome & KDE
- Add %clean

* Thu Jan 13 2000 Shang-Feng Yang <storm@chempro.che.ntu.edu.tw>
- Fix the IndexError problem caused by some incomplete records in the
  pydict.lib

